emacs-updater(8)

NAME
emacs-updater - rebuild Emacs packages

SYNOPSIS
emacs-updater [OPTION]...

DESCRIPTION
Rebuild Emacs packages that were compiled by a different GNU Emacs version, or all Emacs packages.

OPTIONS

-a, --action=ACTION[,ACTION]...
    Specify actions, comma-separated list of: rebuild: Rebuild packages with Elisp files byte-compiled by a different Emacs version. all: Rebuild all packages that have byte-compiled Elisp files. (default: rebuild)

-b, --batch
    Batch mode, don't ask the user any questions.

--color[=MODE], --colour[=MODE]
    Enable or disable colour output. MODE can be yes, no, or auto. The default is auto, for which colour output is enabled only if standard output is connected to a terminal.

-e, --exact
    Match exact versions when remerging packages.

-m, --major
    Use only the major version when comparing Emacs version numbers.

-o, --orphans
    List orphan files, i.e. files that are not owned by any package. Implies --action=all.

-p, --pretend
    Don't actually emerge packages.

-P, --package-manager=PM
    Select a package manager. PM is one out of portage, pkgcore, or paludis. If the argument auto is given, then the package manager is automatically determined. This is the default.

--package-manager-command=CMD
    Call CMD instead of the default package manager command. CMD may include options in which case the whole command string must be passed as a single argument (i.e. included in quotes).

-h, --help
    Display help and exit.

--version
    Output version information and exit.

-- OPTION...
    Pass additional options to package manager. This must be last on the command line.

ENVIRONMENT

PACKAGE_MANAGER
    The preferred package manager. The same values as for the -P option are allowed.

AUTHORS
Christian Faulhammer <fauli@gentoo.org>
Ulrich Müller <ulm@gentoo.org>

SEE ALSO
emacs(1), qfile(1)